with Ada.Numerics.Elementary_Functions;
use Ada.Numerics.Elementary_Functions;
package body Complejos_Polar is

   ---------
   -- "+" --
   ---------

   function "+" (C1,C2 : Complejo) return Complejo is
      Re, Im : Float;
   begin
      Re:=Real(C1)+Real(C2);
      Im:=Imag(C1)+Imag(C2);
      return (Sqrt(Re*Re+Im*Im),Arctan(Im,Re));
   end "+";

   ------------------
   -- Haz_Complejo --
   ------------------

   function Haz_Complejo (Re,Im : Float) return Complejo is
   begin
      return  (Sqrt(Re*Re+Im*Im),Arctan(Im,Re));
   end Haz_Complejo;

   ----------
   -- Imag --
   ----------

   function Imag (C : Complejo) return Float is
   begin
      return C.Modulo*Sin(C.Arg);
   end Imag;

   -----------
   -- Image --
   -----------

   function Image (C : Complejo) return String is
   begin
      if Imag(C)>=0.0 then
         return Float'Image(Real(C))&" + "&Float'Image(Imag(C))&" J";
      else
         return Float'Image(Real(C))&" - "&Float'Image(abs Imag(C))&" J";
      end if;
   end Image;

   ----------
   -- Real --
   ----------

   function Real (C : Complejo) return Float is
   begin
      return C.Modulo*Cos(C.Arg);
   end Real;

end Complejos_Polar;

